Subject: bug#2942 closed by Eli Zaretskii <[email-masked]> (Re: bug#2942: rmail unable to get new mail from a Babyl file)

From: [email-masked] (Emacs bug Tracking System)
Date: Fri, 10 Apr 2009 10:55:10 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2942: rmail unable to get new mail from a Babyl file

It has been closed by Eli Zaretskii <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Eli Zaretskii <[email-masked]> by
replying to this email.

-- 
2942: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2942
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2942: rmail unable to get new mail from a Babyl file
From: Eli Zaretskii <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked]
Date: Fri, 10 Apr 2009 13:47:44 +0300

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 09 Apr 2009 19:23:45 -0400
> 
> Eli Zaretskii wrote:
> 
> > Where did the Babyl file come in the first place?
> 
> From Emacs 22.3. (I'm not sure what you're getting at.)
> 
> Emacs 22.3 `C-u g' will happily take either a Babyl or mbox file as
> input, converting it to the appropriate format. I don't see why this
> should be different now.

I think I fixed it.  Please try the latest CVS.

(There's an unrelated -- or so I think -- bug in unrmail, whereby some
messages are badly converted from Babyl -- e.g., they get two
X-RMAIL-ATTRIBUTES headers.  But that happens even if you type 
"C-u M-x rmail RET foo RET".  I'm working on this.)

Subject: rmail unable to get new mail from a Babyl file
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Thu, 09 Apr 2009 17:16:12 -0400

Severity: serious

Let `foo' be a Babyl format mail file:

emacs -Q
C-u M-x rmail RET foo RET

works fine. The individual messages are processed correctly.

emacs -Q
M-x rmail RET
C-u g foo RET

does not work correctly. Emacs says "No mail".

If the RMAIL buffer was empty originally, the raw Babyl file is dumped
into the buffer.

If there was mail originally, there is no apparent change in the RMAIL
buffer, but the Babyl file is invisibly appended to the end of the file.

At the least, Emacs should refuse to get new mail from a Babyl file if
it cannot handle it. Preferably, it should be able to handle it.

(This is unrelated to the latest Rmail changes.)